Skip to main content
GET
/
partner
/
tenants
List Tenants
curl --request GET \
  --url https://api.embedreach.com/partner/tenants
import requests

url = "https://api.embedreach.com/partner/tenants"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.embedreach.com/partner/tenants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "data": {
    "results": [
      {
        "id": "<string>",
        "name": "<string>",
        "website": "<string>",
        "externalId": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "userCount": 123,
        "locations": [
          {
            "addressLine1": "<string>",
            "locality": "<string>",
            "district": "<string>",
            "postalCode": "<string>",
            "countryCode": "<string>",
            "addressLine2": "<string>",
            "addressLine3": "<string>"
          }
        ],
        "branding": {
          "logoBase64": "<string>",
          "logoURL": "<string>",
          "primaryColor": "<string>",
          "secondaryColors": [
            "<string>"
          ],
          "brandName": "<string>",
          "primaryPhone": "<string>",
          "primaryEmail": "jsmith@example.com",
          "brandTagline": "<string>",
          "brandPersonality": {
            "tone": "<string>",
            "voice": "<string>",
            "values": [
              "<string>"
            ]
          },
          "colorPalette": {
            "primary": "<string>",
            "secondary": [
              "<string>"
            ],
            "accent": [
              "<string>"
            ],
            "background": [
              "<string>"
            ],
            "text": [
              "<string>"
            ]
          }
        },
        "deletedAt": "<string>",
        "dataIntegrationCompletedAt": "<string>",
        "websiteTrackingCompletedAt": "<string>",
        "uiDefaults": {
          "emailHelpDialogShow": false,
          "engageOnboardingShow": true,
          "acquireLearningPhaseDisabled": true
        },
        "smsOptInImageUrls": [
          "<string>"
        ]
      }
    ],
    "pagination": {
      "hasNextPage": true,
      "cursor": "<string>",
      "total": 123
    }
  }
}
{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}

Query Parameters

cursor
string

The cursor to start from

limit
number | null

The limit of items to return, default is 100

includeDeleted
boolean | null

Whether to include deactivated tenants in the results.

Search term to filter tenants by name, external ID, or website.

orderBy
enum<string>

Field to sort by.

Available options:
name,
created_at,
updated_at
orderDirection
enum<string>

Sort direction.

Available options:
asc,
desc
fields
string

Comma-separated list of fields to return. This reduces payload size and improves performance by only fetching requested data. Available fields: id, name, website, external_id, locations, branding, created_at, updated_at, deleted_at, data_integration_completed_at, website_tracking_completed_at, uiDefaults, userCount, sendingDomainStatus. Example: "id,name" to only return id and name. If not provided, all fields are returned.

Response

Status 200 response

success
boolean
required
message
string
data
object